Execute a StoredAction
Execute Stored Action
Executes an action on behalf of a user, this is an async process.
Requires the id from a stored action
Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions//runs/ endpoint with that run id.
Billing
The Actions API offers support for directly billing users for Stored Action
Runs, and this functionality is currently opt-in. To do this, you
must provide a billing claim on the JWT used to authenticate. This
claim must be a JSON string, and any values provided will override the
default configuration shown below. The simplest approach is therefore
to set is_billable to true, and successful Stored Action Runs will be
charged to a user at a rate of one task.
billing: {
"is_billable": false,
"origin": "actions_api",
"usage_type": "action_run",
"description": "an action was run via Actions API",
"exemption_reason": null,
"exemption_details": null
}
Rate Limits
Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global
is active. Requests are rate limited by default unless the JWT explicitly sets
rate_limit.exempt to true.
rate_limit: {
"exempt": true
}
Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom
limit, include limit_override (1–1000 requests per 5 minutes):
rate_limit: {
"exempt": false,
"limit_override": 500
}
Authorizations
OAuth 2.0 authentication.
Path Parameters
Body
The shape of a request payload accepted when running a stored action.
Response
Acknowledges the request to execute a StoredAction
The data returned after running a stored action